Bug 392340 - When in subcategory, buttons/borders don't look right
Summary: When in subcategory, buttons/borders don't look right
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: sidebarview (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Marco Martin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-26 00:03 UTC by Isaac A.
Modified: 2018-05-02 04:59 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.12.5


Attachments
A picture of the rounded button and the border (16.37 KB, image/png)
2018-03-26 00:03 UTC, Isaac A.
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Isaac A. 2018-03-26 00:03:05 UTC
Created attachment 111656 [details]
A picture of the rounded button and the border

The top "Previous Category" button has rounded edges and it doesn't look correct directly next to the flat and straight subcategory selection buttons, and when in a subcategory there's an unneeded white border that kind've throws off the whole look
Comment 1 Nate Graham 2018-03-27 20:12:29 UTC
Here, have a patch!

https://phabricator.kde.org/D11757
Comment 2 Nate Graham 2018-03-30 13:04:59 UTC
Git commit 5de538d0df406973f130b3d1aa3c2555effbe59c by Nathaniel Graham.
Committed on 30/03/2018 at 13:04.
Pushed by ngraham into branch 'Plasma/5.12'.

Polish sidebar header appearance

Summary:
Polish the category headers in response to user feedback and for aesthetic reasons.
- Category page: Made the separator line always visible
- Subcategory page: Removed the redundant border lines in the back button and made the separator always visible
- Widescreen view: Made the header text bold to match other headers, and made the background gray match the search bar header that's right next to it

Test Plan: {F5771156}

Reviewers: mart, #plasma, #vdg

Reviewed By: mart, #plasma, #vdg

Subscribers: davidedmundson, abetts, richardbowen, plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D11757

M  +0    -1    sidebar/package/contents/ui/CategoriesPage.qml
M  +36   -45   sidebar/package/contents/ui/SubCategoryPage.qml

https://commits.kde.org/systemsettings/5de538d0df406973f130b3d1aa3c2555effbe59c